Skip to main content
Get app config
curl --request GET \
  --url https://api.dimedove.com/v1/apps/{app_id}/config \
  --header 'Authorization: Bearer <token>'
{
  "app_id": "<string>",
  "stream": true,
  "generative_ui": true,
  "agent": {
    "config": {
      "primary_color": "<string>",
      "secondary_color": "<string>"
    },
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

app_id
string
required

The unique identifier of the app.

Response

OK

app_id
string
required

Unique identifier for the app.

stream
boolean
required

Whether streaming (Server-Sent Events) is enabled by default for this app's responses.

generative_ui
boolean
required

Whether generative UI is enabled. When true, responses may include 'data-spec' parts for dynamic UI rendering.

agent
AppConfigAgentSchema · object
required

The AI agent configuration for this app.